# Uses of Class co.aikar.commands.CommandManager (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: CommandManager

# Uses of Class
co.aikar.commands.CommandManager

Packages that use CommandManager
Package
Description
co.aikar.commands

## Uses of CommandManager in co.aikar.commands

Fields in co.aikar.commands declared as CommandManager
Modifier and Type
Field
Description
`protected final CommandManager`
CommandContexts.`manager`
Methods in co.aikar.commands that return CommandManager
Modifier and Type
Method
Description
`CommandManager`
CommandOperationContext.`getCommandManager()`
`CommandManager`
BaseCommand.`getCurrentCommandManager()`
Gets the current command manager.
`static CommandManager`
CommandManager.`getCurrentCommandManager()`
`CommandManager`
CommandHelp.`getManager()`
`CommandManager`
CommandIssuer.`getManager()`
`CommandManager`
CommandParameter.`getManager()`
`CommandManager`
RootCommand.`getManager()`
Constructors in co.aikar.commands with parameters of type CommandManager
Modifier
Constructor
Description
``
`CommandCompletions(CommandManager manager)`
``
`CommandHelp(CommandManager manager, RootCommand rootCommand, CommandIssuer issuer)`
``
`CommandHelpFormatter(CommandManager manager)`
``
`Locales(CommandManager manager)`